Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.content.controls
Interface ContentRepositoryControl

    public interface ContentRepositoryControl

Control to represent interface to Content Repository Operations in the Content Mgmt System.

Method Summary
`void` | `createRepositoryConfig(com.bea.content.ContentContext context, com.bea.content.manager.RepositoryConfig config)` Create repository config
`com.bea.content.manager.RepositoryConfig` | `getRepositoryConfig(com.bea.content.ContentContext context, String name)` Get the named repository config.
`Map<String,com.bea.content.manager.RepositoryConfig>` | `getRepositoryConfigMap(com.bea.content.ContentContext context)` Return the repository config.
`com.bea.p13n.pagination.SortableFilterablePagedResult<com.bea.content.manager.RepositoryConfig>` | `getRepositoryConfigs(com.bea.content.ContentContext context, int pageSize)` Return a `PagedResult` of the available `RepositoryConfig`s
`com.bea.p13n.pagination.SortableFilterablePagedResult<String>` | `getRepositoryNames(com.bea.content.ContentContext context, int pageSize)` Return a `PagedResult` of the available Repository names in the system.
`String` | `getTaxonomy(String repositoryName)` Return the taxonomy of the repository used by the DA System.
`boolean` | `hasManageCapability(com.bea.content.ContentContext context, String repositoryName)` checks if the user has the CAN_MANAGE capability on the given repository if repositoryName is null, it will test the capability on the REPOSITORY_ROOT
`boolean` | `isAnyRepositoryManaged(com.bea.content.ContentContext context)` Return true if any repository is managed.
`boolean` | `isRepositoryManaged(com.bea.content.ContentContext context, String repositoryName)` Return true if the repository is managed.
`int` | `pingRepository(String repositoryName)` Pings a repository to check if it is available or not.
`void` | `removeRepositoryConfig(com.bea.content.ContentContext context, String name)` Remove the repository config.
`void` | `updateRepositoryConfig(com.bea.content.ContentContext context, com.bea.content.manager.RepositoryConfig config)` Update the repository config.

Method Detail

### isRepositoryManaged

    boolean isRepositoryManaged(com.bea.content.ContentContext context,
                                String repositoryName)
                                throws com.bea.content.RepositoryException

  Return true if the repository is managed.

  Parameters
    `context` -
    `repositoryName` -
  Returns
    true if the repository is managed, false if not.
  Throws
    `com.bea.content.RepositoryException`

### isAnyRepositoryManaged

    boolean isAnyRepositoryManaged(com.bea.content.ContentContext context)
                                   throws com.bea.content.RepositoryException

  Return true if any repository is managed.

  Parameters
    `context` -
  Returns
    true if any repository is managed, false if not
  Throws
    `com.bea.content.RepositoryException`

### pingRepository

    int pingRepository(String repositoryName)
                       throws com.bea.content.manager.NoSuchRepositoryConfigException,
                              com.bea.content.RepositoryException

  Pings a repository to check if it is available or not. This method tries to connect to that specific repository to check for it's availability. It does not persist the connection information.

  Parameters
    `repositoryName` - The name of the repository
  Returns
    an integer specifying the connection status of the repository. If the repository can be pinged successfully it will return a status of RepositorySession.AUTHENTICATED or any one of the other statuses defined in RepositorySession.
  Throws
    `com.bea.content.manager.NoSuchRepositoryConfigException` - If the repository config does not exist
    `com.bea.content.RepositoryException` - If an error happens during ping

### getRepositoryConfigMap

    Map<String,com.bea.content.manager.RepositoryConfig> getRepositoryConfigMap(com.bea.content.ContentContext context)
                                                                                throws com.bea.content.RepositoryException,
                                                                                       com.bea.content.AuthorizationException

  Return the repository config.

  Parameters
    `context` -
  Returns
  Throws
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException`

### getRepositoryNames

    com.bea.p13n.pagination.SortableFilterablePagedResult<String> getRepositoryNames(com.bea.content.ContentContext context,
                                                                                     int pageSize)
                                                                                     throws com.bea.content.RepositoryException

  Return a `PagedResult` of the available Repository names in the system. Note: This call is NOT security enabled...

  Parameters
    `context` -
    `pageSize` -
  Returns
  Throws
    `com.bea.content.RepositoryException`

### getRepositoryConfigs

    com.bea.p13n.pagination.SortableFilterablePagedResult<com.bea.content.manager.RepositoryConfig> getRepositoryConfigs(com.bea.content.ContentContext context,
                                                                                                                         int pageSize)
                                                                                                                         throws com.bea.content.RepositoryException,
                                                                                                                                com.bea.content.AuthorizationException

  Return a `PagedResult` of the available `RepositoryConfig`s

  Parameters
    `context` -
    `pageSize` -
  Returns
  Throws
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException`

### createRepositoryConfig

    void createRepositoryConfig(com.bea.content.ContentContext context,
                                com.bea.content.manager.RepositoryConfig config)
                                throws com.bea.content.RepositoryException,
                                       com.bea.content.AuthorizationException,
                                       com.bea.content.manager.RepositoryConfigExistsException

  Create repository config

  Parameters
    `context` -
    `config` -
  Throws
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException`
    `com.bea.content.manager.RepositoryConfigExistsException`

### getRepositoryConfig

    com.bea.content.manager.RepositoryConfig getRepositoryConfig(com.bea.content.ContentContext context,
                                                                 String name)
                                                                 throws com.bea.content.RepositoryException,
                                                                        com.bea.content.AuthorizationException,
                                                                        com.bea.content.manager.NoSuchRepositoryConfigException

  Get the named repository config.

  Parameters
    `context` -
    `name` -
  Returns
  Throws
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException`
    `com.bea.content.manager.NoSuchRepositoryConfigException`

### updateRepositoryConfig

    void updateRepositoryConfig(com.bea.content.ContentContext context,
                                com.bea.content.manager.RepositoryConfig config)
                                throws com.bea.content.RepositoryException,
                                       com.bea.content.AuthorizationException,
                                       com.bea.content.manager.NoSuchRepositoryConfigException

  Update the repository config.

  Parameters
    `context` -
    `config` -
  Throws
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException`
    `com.bea.content.manager.NoSuchRepositoryConfigException`

### removeRepositoryConfig

    void removeRepositoryConfig(com.bea.content.ContentContext context,
                                String name)
                                throws com.bea.content.RepositoryException,
                                       com.bea.content.AuthorizationException,
                                       com.bea.content.manager.NoSuchRepositoryConfigException

  Remove the repository config.

  Parameters
    `context` -
    `name` -
  Throws
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException`
    `com.bea.content.manager.NoSuchRepositoryConfigException`

### hasManageCapability

    boolean hasManageCapability(com.bea.content.ContentContext context,
                                String repositoryName)
                                throws com.bea.content.AuthorizationException

  checks if the user has the CAN_MANAGE capability on the given repository if repositoryName is null, it will test the capability on the REPOSITORY_ROOT

  Parameters
    `context` -
    `repositoryName` -
  Throws
    `com.bea.content.AuthorizationException`

### getTaxonomy

    String getTaxonomy(String repositoryName)

  Return the taxonomy of the repository used by the DA System.

  Parameters
    `repositoryName` - The name of the repository. If repositoryName is null, it will give the taxonomy of the Virtual Repository Root
  Returns
    The taxonomy

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved